# std::_Rb_tree_iterator< _Tp > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Tp>
struct std::_Rb_tree_iterator< _Tp >

Definition at line 152 of file stl_tree.h.

## Public Types

- typedef _Rb_tree_node_base::_Base_ptr _Base_ptr
- typedef _Rb_tree_node< _Tp > * _Link_type
- typedef _Rb_tree_iterator<
  _Tp > _Self
- typedef ptrdiff_t difference_type
- typedef bidirectional_iterator_tag iterator_category
- typedef _Tp * pointer
- typedef _Tp & reference
- typedef _Tp value_type

## Public Member Functions

- _Rb_tree_iterator (_Link_type __x)
- _Rb_tree_iterator ()
- reference operator * () const
- bool operator!= (const _Self &__x) const
- _Self operator++ (int)
- _Self & operator++ ()
- _Self operator-- (int)
- _Self & operator-- ()
- pointer operator-> () const
- bool operator== (const _Self &__x) const

## Public Attributes

- _Base_ptr _M_node

The documentation for this struct was generated from the following file:

- stl_tree.h